---
dependency:
  name: galaxy
driver:
  name: vagrant

platforms:
  - name: anakin
    box: generic/rhel9
    interfaces:
      - auto_config: true
        network_name: private_network
        type: dhcp
    groups:
      - kubernetes

  - name: padme
    box: generic/rhel9
    interfaces:
      - auto_config: true
        network_name: private_network
        type: dhcp
    groups:
      - kubernetes

  - name: padawan
    box: generic/rhel9
    interfaces:
      - auto_config: true
        network_name: private_network
        type: dhcp
    groups:
      - kubernetes

lint: ansible-lint /Users/franck/git/ansible/roles/kubernetes
provisioner:
  name: ansible
  inventory:
    links:
      hosts: /Users/franck/git/ansible/molecule/kubernetes/hosts
  options:
    vvv: true
  config_options:
    defaults:
      vault_password_file: /Users/franck/git/ansible/key

scenario:
  create_sequence:
    - dependency
    - create
    - prepare
  check_sequence:
    - dependency
    - cleanup
    - destroy
    - create
    - prepare
    - converge
    - check
    - destroy
  converge_sequence:
    - dependency
    - create
    - prepare
    - converge
  destroy_sequence:
    - dependency
    - cleanup
    - destroy
  test_sequence:
    - lint
    - dependency
    - cleanup
    - destroy
    - syntax
    - create
    - prepare
    - converge
    # EXAMPLE_6: idempotence is hard.  Look at molecule scenarios for CI.
    - idempotence
    - side_effect
    - verify
    - cleanup
    - destroy
verifier:
  name: testinfra
